import torch.nn.functional as F
from pyhessian import PyHessian, density_generate
from matplotlib import pyplot as plt

model = None    # model
loader = None   # DataLoader

algo = PyHessian(
    model=model,
    criterion=F.cross_entropy,
    data=None,
    dataloader=loader
)

eigvs, weights = algo.density()
xs, ys = density_generate(eigvs, weights)
plt.semilogy(xs, ys + 1.0e-7)